> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get data sources

> Get a list of data sources for a company




## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_id_or_heron_id}/data_sources
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/data_sources:
    get:
      tags:
        - EndUserDataSources
      summary: Get data sources
      description: |
        Get a list of data sources for a company
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/EndUserDataSources'
                type: array
          description: Ok
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EndUserDataSources:
      properties:
        created:
          description: When the data source was created in Heron system
          example: '2026-05-30T16:07:04.212532'
          format: date-time
          type: string
        data_source_accounts:
          description: List of data source accounts associated with the data source
          example:
            - account_id: '202348'
              anomaly_reasons:
                - Statement metadata changed
                - Manual review flagged suspicious edits
              anomaly_score: 200
              enabled: true
              max_date: '2022-01-31'
              min_date: '2022-01-01'
              num_transactions: 120
              transactions_match_balances: true
          items:
            $ref: '#/components/schemas/EndUserDataSourceAccount'
          type: array
        heron_id:
          description: Unique ID for data source generated by Heron
          example: dso_iWWLJ8xAL8stWqkzno5iVo
          readOnly: true
          type: string
        is_enabled:
          default: true
          description: >-
            Whether or not the data source is enabled. If disabled, hides
            related transactions from analytics
          example: true
          type: boolean
        last_updated:
          description: When the data source was last updated in Heron system
          example: '2026-07-11T16:07:04.212554'
          format: date-time
          type: string
        metadata:
          allOf:
            - $ref: '#/components/schemas/EndUserDataSourceMetadata'
          description: Metadata associated with the data source
          example:
            filename: 202348_JAN_2022.pdf
            status: processed
        reference_id:
          description: Unique ID to identify the data source
          example: pdf_gz4Pi5o5U2yqBBFwKhEVtm
          type: string
        status:
          description: >-
            Status of the data source entity, where applicable (e.g. pdfs,
            integration links)
          enum:
            - new
            - parsing
            - parsed
            - processed
            - human_reviewing
            - approved
            - rejected
            - failed
            - transactions_loaded
            - transactions_unloaded
            - pending
            - active
            - syncing
            - erroring
            - sync_disabled
            - deleted_in_plaid
            - unknown
          example: new
          type: string
        type:
          description: Data source type
          enum:
            - api
            - csv
            - pdf
            - integration_link
            - legacy
            - legacy_pdf
            - legacy_integration_link
          example: pdf
          type: string
      required:
        - created
        - data_source_accounts
        - heron_id
        - last_updated
        - reference_id
        - type
      type: object
    EndUserDataSourceAccount:
      properties:
        account_id:
          description: Unique account id associated with the data source account
          example: '202348'
          type: string
        anomaly_reasons:
          description: >-
            Reasons associated with anomaly_score for pdf bank statement account
            sources
          example:
            - Statement metadata changed
            - Manual review flagged suspicious edits
          items:
            type: string
          nullable: true
          type: array
        anomaly_score:
          description: >-
            For pdf bank statement account sources, where the value is between 0
            and 1000, with 1000 being the most anomalous
          example: 200
          type: integer
        balances:
          description: List of balances associated with the account
          example:
            - closing_amount: 25000.45
              currency: USD
              date: '2022-01-01'
          items:
            $ref: '#/components/schemas/AccountBalance'
          type: array
        currency:
          description: Currency of the account
          example: USD
          type: string
        display_account_id:
          description: >-
            Human-readable account label for display: the last four digits of
            the account number (falling back to the account title). Not unique
            and not a key; use account_id to join.
          example: '7505'
          nullable: true
          type: string
        end_date:
          description: End date of the account
          example: '2022-01-31'
          format: date
          type: string
        heron_id:
          description: Unique ID for data source generated by Heron
          example: dso_MNSeUG5x6JfFpwLsisXN2Y
          type: string
        institution_name:
          description: Name of the institution
          example: Chase
          type: string
        is_enabled:
          description: >-
            Whether or not the account is enabled. If disabled, hides related
            transactions from analytics
          example: true
          type: boolean
        max_date:
          description: Latest date of transactions associated with the data source account
          example: '2022-01-31'
          format: date
          type: string
        min_date:
          description: >-
            Earliest date of transactions associated with the data source
            account
          example: '2022-01-01'
          format: date
          type: string
        name:
          description: Name of the account
          example: Checking Account
          type: string
        num_transactions:
          description: Number of transactions associated with the data source account
          example: 120
          type: integer
        number:
          description: Number of the account
          example: '123456789'
          type: string
        owner_name:
          description: Name of the account owner
          example: John Doe
          type: string
        reference_id:
          description: This is the account ID provided as part of the transaction
          example: account-202348
          type: string
        start_date:
          description: Start date of the account
          example: '2022-01-01'
          format: date
          type: string
        transactions_match_balances:
          description: >-
            For pdf bank statements, represents whether all transactions
            extracted match the balances extracted
          example: true
          type: boolean
        type:
          description: Type of the account
          example: Checking
          type: string
      required:
        - is_enabled
      type: object
    EndUserDataSourceMetadata:
      properties:
        currency:
          description: >-
            Currency associated with the data source entity, where applicable
            (e.g. pdfs)
          example: USD
          type: string
        filename:
          description: Name of the file uploaded, where applicable (e.g. pdfs)
          example: 202348_JAN_2022.pdf
          type: string
        integration_heron_id:
          description: Unique Heron ID associated with an integration
          example: itg_VtSmGnL86QukaKsB33t7eF
          type: string
        integration_item_id:
          description: Unique item id associated with integration link data sources
          example: Ed6bjNrDLJfGvZWwnkQlfxwoNz54B5C97ejBr
          type: string
        last_successful_sync:
          description: >-
            Last successful sync date associated with integration link data
            sources
          example: '2026-07-11T16:07:04.211923'
          format: date-time
          type: string
        notes:
          description: >-
            Notes associated with the data source entity, where applicable (e.g.
            pdfs)
          example: >-
            error with processing, 52 invalid transaction(s) extracted from
            statement
          type: string
        parsing_version:
          description: >-
            Parsing version associated with the data source entity, where
            applicable (e.g. pdfs)
          example: 1.0.0
          type: string
        sub_type:
          description: >-
            Sub type of the data source entity, where applicable (e.g.
            integration links)
          example: transaction
          type: string
      type: object
    AccountBalance:
      properties:
        closing_amount:
          allOf:
            - $ref: '#/components/schemas/Money'
          description: The closing balance for the day
          example: 25000.45
        currency:
          description: Currency of the balance
          example: USD
          type: string
        date:
          description: Date of the balance
          example: '2022-01-01'
          format: date
          type: string
      required:
        - closing_amount
      type: object
    Money:
      properties:
        amount:
          description: The amount of money
          example: '1234.56'
          type: number
        currency:
          description: The currency of the money
          example: USD
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````